package voyage;

/**
 * 
 * @author Lionel Mdini
 * @author Yannick Pri
 * @author Lotfi Sofiane Settouti
 * 
 * UFR informatique
 * Universit Claude Bernard Lyon 1
 *
 */

public class TrajetRoutierFactory extends AbstractVoyageFactory {

	public static TrajetRoutierFactory instance;
	
	private TrajetRoutierFactory () {
	}
	
	public TrajetRoutier create() {
		return new TrajetRoutierImpl();
	}
	
	public static TrajetRoutierFactory getInstance(){
		if (instance == null)
			instance = new TrajetRoutierFactory();
		return instance;
	}
}
